library risecx_chat_client;

import 'package:flutter/material.dart';
import 'package:risecx_chat_client/models/configuration_model.dart';
import 'package:risecx_chat_client/models/user_model.dart';

import 'package:risecx_chat_client/widgets/widgets.dart';
import 'blocs/blocs.dart';

class RisecxChatClient extends StatelessWidget {
  final dynamic user;
  final dynamic options;
  const RisecxChatClient({Key key, @required this.user, @required this.options}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    ChatBloc _chatBloc = new ChatBloc();
    return ChatClientWidget(
      chatBloc: _chatBloc,
      user: UserModel.fromJson(user),
      config: ConfigurationModel.fromJson(options),
    );
  }
}
